CS::Mesh::iAnimatedMeshSocketFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iAnimatedMeshSocketFactory Struct Reference

Factory for sockets attached to iAnimatedMesh's. More...

`#include <imesh/animesh.h>`

Inheritance diagram for CS::Mesh::iAnimatedMeshSocketFactory:

List of all members.

## Public Member Functions
virtual CS::Animation::BoneID | GetBone () const =0
| Get the ID of the bone associated with the socket.
virtual iAnimatedMeshFactory * | GetFactory ()=0
| Get the associated animated mesh factory.
virtual const char * | GetName () const =0
| Get the name of the socket.
virtual const csReversibleTransform & | GetTransform () const =0
| Get the 'bone to socket' transform of the socket.
virtual void | SetBone (CS::Animation::BoneID boneID)=0
| Set the bone associated with the socket.
virtual void | SetName (const char *name)=0
| Set the name of the socket.
virtual void | SetTransform (csReversibleTransform &transform)=0
| Set the 'bone to socket' transform of the socket.

## Detailed Description

Factory for sockets attached to iAnimatedMesh's.

Definition at line 69 of file animesh.h.

## Member Function Documentation

virtual CS::Animation::BoneID CS::Mesh::iAnimatedMeshSocketFactory::GetBone | ( |  | ) | const`[pure virtual]`

Get the ID of the bone associated with the socket.

virtual iAnimatedMeshFactory* CS::Mesh::iAnimatedMeshSocketFactory::GetFactory | ( |  | ) | `[pure virtual]`

Get the associated animated mesh factory.

virtual const char* CS::Mesh::iAnimatedMeshSocketFactory::GetName | ( |  | ) | const`[pure virtual]`

Get the name of the socket.

virtual const csReversibleTransform& CS::Mesh::iAnimatedMeshSocketFactory::GetTransform | ( |  | ) | const`[pure virtual]`

Get the 'bone to socket' transform of the socket.

virtual void CS::Mesh::iAnimatedMeshSocketFactory::SetBone | ( | CS::Animation::BoneID | boneID | ) | `[pure virtual]`

Set the bone associated with the socket.

virtual void CS::Mesh::iAnimatedMeshSocketFactory::SetName | ( | const char * | name | ) | `[pure virtual]`

Set the name of the socket.

virtual void CS::Mesh::iAnimatedMeshSocketFactory::SetTransform | ( | csReversibleTransform & | transform | ) | `[pure virtual]`

Set the 'bone to socket' transform of the socket.

The documentation for this struct was generated from the following file:

- imesh/animesh.h